/**
 * @file       bumper.h
 * @brief      Management of obstalce detectors: bumpers
 * 
 * @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
 * @date       2004/07/25
 */

#ifndef __BUMPER_H__
#define __BUMPER_H__

#define BUMPER_IO_PORT  PORTD
#define BUMPER_IO_PIN   PIND
#define BUMPER_IO_DIR   DDRD

#define BUMPER_PRESSED      1
#define BUMPER_NOT_PRESSED  0

/**
 * @brief Initialize the bumpers io
 */
void bumperInit();

/**
 * @brief Get bumper state
 */
unsigned char bumperGetData();

#endif /* __BUMPER_H__ */
