/**
 * @file       debug.h
 * @brief      Servo motor driver
 * 
 * @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
 * @date       2004/07/29
 */

#ifndef __DEBUG_H__
#define __DEBUG_H__

#ifdef DEBUG
enum DebugEnum {
	DEBUG_PING=0,
	DEBUG_LED_OFF,
	DEBUG_LED_BLINK_SLOW,
	DEBUG_LED_BLINK_FAST,
	DEBUG_LED_ON,
	DEBUG_SERVO_SET,
	DEBUG_SERVO_INC,
	DEBUG_SERVO_DEC,
	DEBUG_SERVO_DISABLE,
	DEBUG_SERVO_DISABLE_ALL,
	DEBUG_MOTOR_ON,
	DEBUG_MOTOR_OFF,
	DEBUG_MOTOR_SPEED,
	DEBUG_BUMPER_GET,
	DEBUG_ADC_GET,
	DEBUG_SOLAR_GET,
	DEBUG_WHEEL_STOP,
	DEBUG_WHEEL_FORWARD,
	DEBUG_WHEEL_BACKWARD,
	DEBUG_WHEEL_LEFT,
	DEBUG_WHEEL_RIGHT
};


void debugParse(unsigned char msg);
#endif  /* #ifdef DEBUG */

#endif /* __DEBUG_H__ */
