/**
 * @file       led.h
 * @brief      Led driver
 * 
 * @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
 * @date       2004/07/29
 */

#ifndef __LED_H__
#define __LED_H__

#define LED_IO_PORT      PORTB
#define LED_IO_DIR       DDRB
#define LED_FIRST_PIN    2
#define LED_NBR          1

#define LED_MODE_OFF         0
#define LED_MODE_BLINK_SLOW  1
#define LED_MODE_BLINK_FAST  2
#define LED_MODE_ON          3

/**
 * @brief Initialize the led io ports
 */
void ledInit();

/**
 * @brief Set the blink mode of a led
 * @param ledId id of the led [0..LED_NBR[
 * @param mode LED_MODE_OFF, LED_MODE_BLINK_SLOW, LED_BLINK_FAST, LED_ON
 */
void ledSetMode(unsigned char ledId,
			    unsigned char mode);

#endif /* __LED_H__ */
