/**
 * @file       motor.h
 * @brief      Motor driver
 * 
 * @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
 * @date       2004/07/25
 */

#ifndef __MOTOR_H__
#define __MOTOR_H__

#define MOTOR_IO_PORT  PORTB
#define MOTOR_IO_DIR   DDRB
#define MOTOR_PIN      1

#define MOTOR_DEFAULT_SPEED 255

/**
 * @brief Initialize the motor command driver
 */
void motorInit();

/**
 * @brief Turn on motor
 */
void motorOn();

/**
 * @brief Turn off motor
 */
void motorOff();

/**
 * @brief Set the PWM speed of the motor
 * @param speed speed of the motor: min:0x00, max:0xFF
 */
void motorSetSpeed(unsigned char speed);

#endif /* __MOTOR_H__ */
