/**
 * @file       pinConfig.h
 * @brief      Pin ids for the greenFinder robot
 * 
 * @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
 * @date       2004/08/02
 */

#ifndef __PIN_CONFIG_H__
#define __PIN_CONFIG_H__

/* Servo Ids */
#define SERVO_WHEEL_LEFT   0 
#define SERVO_WHEEL_RIGHT  1
#define SERVO_WHEEL_REAR   2
#define SERVO_SOLAR_DIR    2


/* Servo Positions */
#define SERVO_WHEEL_LEFT_FORWARD    20
#define SERVO_WHEEL_LEFT_BACKWARD  200
#define SERVO_WHEEL_RIGHT_FORWARD  200
#define SERVO_WHEEL_RIGHT_BACKWARD  20
#define SERVO_WHEEL_REAR_FORWARD   250
#define SERVO_WHEEL_REAR_ROTATE    135

/* ADC pins */
#define ADC_VOLTAGE      0
#define ADC_SOLAR_CENTER 4
#define ADC_SOLAR_LEFT   5
#define ADC_SOLAR_EXTERN 3

/* Bumpers Ids */
#define BUMPER_FRONT_LEFT   5
#define BUMPER_FRONT_RIGHT  2
#define BUMPER_FRONT_CENTER_RIGHT 7
#define BUMPER_FRONT_CENTER_LEFT  6
#define BUMPER_REAR_LEFT    3
#define BUMPER_REAR_RIGHT   4

#endif /* __PIN_CONFIG_H__ */
