/**
 * @file       wheel.h
 * @brief      Robot wheel driver that commands servo motors
 * 
 * @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
 * @date       2004/07/30
 */

#include "wheel.h"
#include "servo.h"
#include "pinConfig.h"

/* ------------------------------------------------------------------------ */
/* wheelStop                                                                */
/* ------------------------------------------------------------------------ */
void wheelStop()
{
	servoDisable(SERVO_WHEEL_LEFT);
	servoDisable(SERVO_WHEEL_RIGHT);
}

/* ------------------------------------------------------------------------ */
/* wheelForward                                                             */
/* ------------------------------------------------------------------------ */
void wheelForward()
{
	servoSetPosition(SERVO_WHEEL_LEFT,  SERVO_WHEEL_LEFT_FORWARD);
	servoSetPosition(SERVO_WHEEL_RIGHT, SERVO_WHEEL_RIGHT_FORWARD);
}

/* ------------------------------------------------------------------------ */
/* wheelBackward                                                            */
/* ------------------------------------------------------------------------ */
void wheelBackward()
{
	servoSetPosition(SERVO_WHEEL_LEFT, SERVO_WHEEL_LEFT_BACKWARD);
	servoSetPosition(SERVO_WHEEL_RIGHT, SERVO_WHEEL_RIGHT_BACKWARD);
}

/* ------------------------------------------------------------------------ */
/* wheelRotateLeft                                                          */
/* ------------------------------------------------------------------------ */
void wheelRotateLeft()
{
	servoSetPosition(SERVO_WHEEL_LEFT, SERVO_WHEEL_LEFT_BACKWARD);
	servoSetPosition(SERVO_WHEEL_RIGHT, SERVO_WHEEL_RIGHT_FORWARD);
}

/* ------------------------------------------------------------------------ */
/* wheelRotateRight                                                         */
/* ------------------------------------------------------------------------ */
void wheelRotateRight()
{
	servoSetPosition(SERVO_WHEEL_LEFT, SERVO_WHEEL_LEFT_FORWARD);
	servoSetPosition(SERVO_WHEEL_RIGHT, SERVO_WHEEL_RIGHT_BACKWARD);
}


