/**
 * @file       wheel.h
 * @brief      Robot wheel driver that commands servo motors
 * 
 * @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
 * @date       2004/07/30
 */

#ifndef __WHEEL_H__
#define __WHEEL_H__

/**
 * @brief Initialize the robot wheel
 */
#define wheelInit wheelStop

/**
 * @brief Stop wheels
 */
void wheelStop();

/**
 * @brief Move wheels to go forward
 */
void wheelForward();

/**
 * @brief Move wheels to go backward
 */
void wheelBackward();

/**
 * @brief Move wheels to rotate on left
 */
void wheelRotateLeft();

/**
 * @brief Move wheels to rotate on right
 */
void wheelRotateRight();


#endif /* __WHEEL_H__ */
